/*****MENU AMPLIO*****/

.trigger-menu-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    height: 5vw;
    background-color: transparent;
    z-index: 4;
    transition: transform 0.8s;
    -webkit-transition: transform 0.8s;
    -moz-transition: transform 0.8s;
    -ms-transition: transform 0.8s;
    -o-transition: transform 0.8s;
    display: flex;
    align-items: center;
}

/*Capa debajo del menu largo*/

.static {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    height: 5vw;
    background: transparent;
    z-index: 20;
    transition: transform 0.8s;
    -webkit-transition: transform 0.8s;
    -moz-transition: transform 0.8s;
    -ms-transition: transform 0.8s;
    -o-transition: transform 0.8s;
    display: flex;
    align-items: center;
}

.scroll-down {
    top: 0;
    transform: translate3d(0, -100%, 0);
    -webkit-transform: translate3d(0, -100%, 0);
    -ms-transform: translate3d(0, -100%, 0);
    -moz-transform: translate3d(0, -100%, 0);
    -o-transform: translate3d(0, -100%, 0);
}

.scroll-up {
    top: 0;
    transform: none;
    -ms-transform: none;
    -webkit-transform: none;
    -moz-transform: none;
    -o-transform: none;
}

.logo {
    position: absolute;
    width: 3.5vw;
    left: 5vw;
}

.menu-principal {
    width: 100%;
    position: fixed;
    z-index: 20;
    display: flex;
    align-items: center;
}

.menu-principal ul {
    display: flex;
    position: absolute;
    right: 5vw;
    overflow: hidden;
}

.menu-principal ul li {
    display: block;
    cursor: pointer;
    margin: 0 1.05vw;
    position: relative;
}

/*Caracteristicas letras del menu*/

.menu-principal ul li a {
    font-family: 'Roboto', sans-serif;
    font-style: normal;
    font-weight: 500;
    font-size: 1.09vw;
    line-height: 120%;
    text-transform: uppercase;
    text-decoration: none;
    color: #171717;
}

.menu-principal ul li a:hover {
    color: #6644F3;
}

@media screen and (max-width: 1100px) {
    .menu-principal ul li a {
        font-size: 1.5vw;
    }
}

.nav-icon-contenedor {
    display: none;
}

.nav-icon {
    visibility: hidden;
}

.logo-small {
    opacity: 0;
    display: none;
}

.logo-small-despl {
    opacity: 0;
    display: none;
}

/*****RESPONSIVE MENU******/

@media screen and (max-width: 800px) {
    .logo {
        opacity: 0;
    }
    .logo-small {
        width: 50px;
        display: unset;
        opacity: 1;
        font-family: montserrat, sans-serif;
        font-style: normal;
        font-weight: 500;
        font-size: 25px;
        letter-spacing: 0.208vw;
        text-transform: uppercase;
        text-decoration: none;
        color: white;
        position: absolute;
        left: 30px;
        top: 35px;
        z-index: 11;
    }
    .logo-small-despl {
        width: 50px;
        display: none;
        opacity: 1;
        font-family: montserrat, sans-serif;
        font-style: normal;
        font-weight: 500;
        font-size: 25px;
        letter-spacing: 0.208vw;
        text-transform: uppercase;
        text-decoration: none;
        color: white;
        position: absolute;
        left: 30px;
        top: 35px;
        z-index: 21;
    }
    .logo-small-despl.js-open {
        opacity: 1;
        display: block;
        font-family: montserrat, sans-serif;
        font-style: normal;
        font-weight: 500;
        font-size: 25px;
        letter-spacing: 0.208vw;
        text-transform: uppercase;
        text-decoration: none;
        color: white;
        position: absolute;
        left: 30px;
        top: 35px;
        z-index: 21;
    }
    .nav-icon-contenedor {
        position: absolute;
        display: unset;
        top: 0;
        width: 100vw;
        height: 40px;
        z-index: 20;
    }
    .nav-icon {
        position: fixed;
        right: 30px;
        top: 30px;
        width: 40px;
        height: 40px;
        cursor: pointer;
        z-index: 25;
        background-color: #FF7ABA;
        visibility: visible;
    }
    .menu-principal-pequeño {
        visibility: hidden;
    }
    .hamburger-bar {
        width: 22px;
        height: 2px;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        -webkit-transform: translate(-50%, -50%);
        -moz-transform: translate(-50%, -50%);
        -ms-transform: translate(-50%, -50%);
        -o-transform: translate(-50%, -50%);
        background: none;
    }
    .hamburger-bar::before, .hamburger-bar::after {
        content: "";
        position: absolute;
        width: 22px;
        height: 2px;
        background: white;
    }
    .hamburger-bar::before {
        transform: rotate(0deg) translate(0px, -4px);
        -webkit-transform: rotate(0deg) translate(0px, -4px);
        -moz-transform: rotate(0deg) translate(0px, -4px);
        -ms-transform: rotate(0deg) translate(0px, -4px);
        -o-transform: rotate(0deg) translate(0px, -4px);
    }
    .hamburger-bar::after {
        transform: rotate(0deg) translate(0px, 4px);
        -webkit-transform: rotate(0deg) translate(0px, 4px);
        -moz-transform: rotate(0deg) translate(0px, 4px);
        -ms-transform: rotate(0deg) translate(0px, 4px);
        -o-transform: rotate(0deg) translate(0px, 4px);
    }
    .nav-icon.js-open .hamburger-bar::before {
        transform: rotate(-45deg) translate(0px, 0px);
        -webkit-transform: rotate(-45deg) translate(0px, 0px);
        -moz-transform: rotate(-45deg) translate(0px, 0px);
        -ms-transform: rotate(-45deg) translate(0px, 0px);
        -o-transform: rotate(-45deg) translate(0px, 0px);
    }
    .nav-icon.js-open .hamburger-bar::after {
        transform: rotate(45deg) translate(0px, 0px);
        -webkit-transform: rotate(45deg) translate(0px, 0px);
        -moz-transform: rotate(45deg) translate(0px, 0px);
        -ms-transform: rotate(45deg) translate(0px, 0px);
        -o-transform: rotate(45deg) translate(0px, 0px);
    }
    .menu-principal {
        visibility: hidden;
    }
    .menu-principal-pequeño {
        position: fixed;
        float: left;
        width: 100%;
        background: #ffffff;
        transition: all 1s;
        visibility: hidden;
        opacity: 0;
        height: 0;
        top: -500px;
        z-index: 20;
    }
    .menu-principal-pequeño.js-open {
        height: 100vh;
        transition: all 0.6s;
        z-index: 20;
        visibility: visible;
        top: 0;
        opacity: 1;
        left: 0;
        overflow: hidden;
        display: block;
    }
    .menu-principal-pequeño ul {
        position: relative;
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 100%;
        top: 30vw;
    }
    .menu-principal-pequeño ul li {
        list-style: none;
        display: block;
        cursor: pointer;
        position: relative;
    }
    .menu-principal-pequeño ul li a {
        font-family: montserrat, sans-serif;
        font-style: normal;
        font-weight: 500;
        font-size: 4vh;
        letter-spacing: 0.2vw;
        text-transform: uppercase;
        text-decoration: none;
        color: #000000;
        line-height: 8vh;
    }
    .menu-principal-pequeño ul li a:hover {
        color: #6644F3;
    }
    .nav-icon, .hamburger-bar, .hamburger-bar:before, .hamburger-bar:after {
        transition: all 0.25s ease-in-out;
        -webkit-transition: all 0.25s ease-in-out;
        -moz-transition: all 0.25s ease-in-out;
        -ms-transition: all 0.25s ease-in-out;
        -o-transition: all 0.25s ease-in-out;
    }
    .trigger-menu-wrapper {
        display: none;
    }
    .trigger-menu-wrapper.scroll-up {
        display: none;
    }
}